Documentation Index

Fetch the complete documentation index at: https://docs.zilliant.com/llms.txt

Use this file to discover all available pages before exploring further.

Get record details by record ID and field name

Prev Next
Get
/lookupTables/{id}/records/{recordId}/fields/{fieldName}
Security
HTTP
Type bearer

OAuth access token. For details, read Obtain or refresh an OAuth token.

Path parameters
id
string (base64-encoded URI) Required

Lookup table ID in base64-encoded format.

ExampleaHR0cHM6Ly9teGRldjAzeHR2czdzNHZsMi5oYW5hLm9uZGVtYW5kLmNvbS9Mb29rdXBUYWJsZSM0MjQ2ZmJlYzA5NDg0OGEyYmJhZjJkOTk3ZTE0NDE1ZQ==
recordId
integerRequired

Record ID.

Example1
fieldName
stringRequired

Record field name.

ExampleF_PRICE
Responses
200

Returns the list of record details for the field.

[
  {
    "type": "PriceRecord",
    "id": 1,
    "amountValue": 1.0,
    "hasCurrency": "http://www.inmindcloud.com/application/application-implementation.owl#USD",
    "quantityValue": 1.0,
    "hasUnitofMeasure": "http://eccides/800/UnitofMeasurement#EA"
  },
  {
    "type": "PriceRecord",
    "id": 2,
    "amountValue": 2.0,
    "hasCurrency": "http://www.inmindcloud.com/application/application-implementation.owl#SGD",
    "quantityValue": 2.0,
    "hasUnitofMeasure": "http://eccides/800/UnitofMeasurement#GRO"
  }
]
Array of object
object
type
string
ExamplePriceRecord
id
integer
Example1
amountValue
number
Example1.0
hasCurrency
string
Examplehttp://www.inmindcloud.com/application/application-implementation.owl#USD
quantityValue
number
Example1.0
hasUnitofMeasure
string
Examplehttp://eccides/800/UnitofMeasurement#EA